using AlienAttack.MonoGame.Textures;

namespace AlienAttack.MonoGame.Things.Bullets;

public class PlasmaBulletMedium : Bullet
{
    public const int Width = 8;
    public const int Height = 26;

    protected override string TextureName => TextureNames.Bullets.PlasmaMedium;

    public PlasmaBulletMedium(float x, float y, float xVel, float yVel, Sprite owner) : base(x, y, xVel, yVel, owner)
    {
        Origin = new(Width / 2, Height / 2);
        BoundBox = new(0, 0, Width, Height);
        Damage = 2;
    }
}